html {
    font-size: 14px;
    font-family: "Poppins", sans-serif;
    color: rgb(0, 0, 0);
    text-shadow: 0.5px 0.5px 0px rgb(93, 63, 211, 0.7);
    min-height: 100%;
}

body {
    background-image: linear-gradient(to bottom right, rgba(93, 63, 211, 0.75), rgba(69, 99, 255, 0.75));
}

footer {
    font-style: normal;
    text-align: center;
}

a {
    text-shadow: 1px 1px 0px rgb(93, 93, 93, 0.7);
}

a:link, a:visited {
    color: rgba(0, 0, 0, 255);
}

a:hover {
    color: rgba(253, 99, 107, 255);
}

a:active {
    color: rgba(110, 82, 215, 255);
}

* {
    box-sizing: border-box;
}
/* For mobile phones: */
[class*="col-"] {
    width: 100%;
}

@media only screen and (min-width: 728px) {
    /* For tablets and desktop: */
    .col-s-1 {
        width: 8.33%;
    }

    .col-s-2 {
        width: 16.66%;
    }

    .col-s-3 {
        width: 25%;
    }

    .col-s-4 {
        width: 33.33%;
    }

    .col-s-5 {
        width: 41.66%;
    }

    .col-s-6 {
        width: 50%;
    }

    .col-s-7 {
        width: 58.33%;
    }

    .col-s-8 {
        width: 66.66%;
    }

    .col-s-9 {
        width: 75%;
    }

    .col-s-10 {
        width: 83.33%;
    }

    .col-s-11 {
        width: 91.66%;
    }

    .col-s-12 {
        width: 100%;
    }

    .PIN-input {
        width: 150px !important;
        height: 200px !important;
        font-size: 80px !important;
    }

    #display-name-input {
        width: 300px !important;
        height: 40px !important;
        font-size: 20px !important;
    }
}

[class*="col-"] {
    float: left;
    padding: 15px;
}

.row::after {
    content: "";
    clear: both;
    display: table;
}

#heading-container {
    font-size: 50px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

#heading {
    width: calc(50% - 300px);
    min-width: 400px;
    background: rgb(254, 254, 250);
    border-radius: 20px;
    box-shadow: 10px 10px 3px rgba(93, 63, 211, 0.9);
    z-index: 1000;
    padding: 15px;
    text-align: center;
}

#heading img {
    width: 300px;
    height: auto;
}

#form-container {
    text-align: center;
    width: 100%;
    max-width: 1200px;
    margin-left: 50%;
    transform: translateX(-50%);
}

#error-container {
    background: linear-gradient(to bottom right, rgba(93, 63, 211, 1), rgba(69, 99, 255, 1));
    color: white;
    text-shadow: 1px 1px 0px rgb(0, 0, 0, 0.7);
    border-radius: 15px;
    box-shadow: 10px 10px 3px rgba(93, 63, 211, 0.9);
    min-width: 400px;
    width: calc(50% - 300px);
    margin-left: 50%;
    margin-top: 30px;
    transform: translateX(-50%);
    padding: 10px;
    font-weight: 500;
}

#error-heading {
    font-style: normal;
    text-decoration: underline;
}

.PIN-input {
    border: 1px solid grey;
    text-align: center;
    margin-right: 10px;
    border-radius: 10px;
    width: 50px;
    height: 75px;
    /*font-size: 40px;*/
    font-size: 4vmax;
    box-shadow: 10px 10px 3px rgba(93, 63, 211, 0.9);
}

#display-name-input {
    border: 1px solid grey;
    width: 200px;
    height: 40px;
    font-size: 20px;
    padding: 10px;
    border-radius: 10px;
    text-align: center;
    box-shadow: 10px 10px 3px rgba(93, 63, 211, 0.9);
}

#PIN-inputs-container {
    width: 100%;
    margin-top: 50px;
}

#display-name-input-container {
    width: 100%;
}

#PIN-hr {
    position: relative;
    top: 105px;
    margin-left: 206px;
    z-index: -125;
    height: 5px;
    background-image: linear-gradient(to right, blue, red);
    border: none;
    width: 350px;
}

#form-submit-button {
    color: white;
    text-shadow: 1px 1px 0px rgb(0, 0, 0, 0.7);
    margin-top: 50px;
    background: #4744DD;
    border: 1px solid black;
    height: 35px;
    width: 100px;
    border-radius: 10px;
    font-size: 16px;
    transition: transform 0.25s, background-color 0.25s;
}

    #form-submit-button:hover {
        transform: scale(1.15);
        background-color: #4563FF;
        border: 1px solid white;
    }
    #form-submit-button:disabled {
        background-color: #9797DD;
        border: 1px solid black;
    }
        #form-submit-button:disabled:hover {
            transform: scale(1);
            background-color: #9797DD;
            border: 1px solid black;
        }

#tagline {
    font-size: 16px;
    font-weight: 500;
}

#tc-checkbox{
    transform: scale(2);
    margin: 10px;
}

div.centre-text {
    text-align: center;
    width: 100%
}


/* For Chrome, Safari, Edge, and Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* For Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}









.roboto-thin {
    font-family: "Roboto", sans-serif;
    font-weight: 100;
    font-style: normal;
}

.roboto-light {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.roboto-regular {
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.roboto-medium {
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-style: normal;
}

.roboto-bold {
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.roboto-black {
    font-family: "Roboto", sans-serif;
    font-weight: 900;
    font-style: normal;
}

.roboto-thin-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 100;
    font-style: italic;
}

.roboto-light-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: italic;
}

.roboto-regular-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: italic;
}

.roboto-medium-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-style: italic;
}

.roboto-bold-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    font-style: italic;
}

.roboto-black-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 900;
    font-style: italic;
}
